Name:           rejik
Version:        3.2.10
Release:        1%{?dist}
Summary:        Squid redirector

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://www.rejik.ru/
Source0:        http://www.rejik.ru/download/redirector-%{version}.tgz
Source1:        redirector.conf
Source2:        bigblacklist.tar.gz
Patch0:         redirector-3.2.10-Makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  squid
BuildRequires:  pcre
BuildRequires:  pcre-devel

Requires:  squid


%description
Redirector for Squid.


%prep
%setup -q -n redirector-%{version}
%patch0 -p1 -b .Makefile


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Copy config file
%{__install} -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/squid/redirector.conf
# Create log files
%{__mkdir_p} %{buildroot}/var/log/rejik/
/bin/touch %{buildroot}/var/log/rejik/redirector.err
/bin/touch %{buildroot}/var/log/rejik/redirector.log
# Create datadir and files
%{__mkdir_p} %{buildroot}/etc/squid/banlist/
%{__mkdir_p} %{buildroot}/etc/squid/banlist/whitelist
/bin/touch %{buildroot}/etc/squid/banlist/whitelist/allow_urls
%{__mkdir_p} %{buildroot}/etc/squid/banlist/banners
/bin/touch %{buildroot}/etc/squid/banlist/banners/urls
%{__mkdir_p} %{buildroot}/etc/squid/banlist/mp3
/bin/touch %{buildroot}/etc/squid/banlist/mp3/pcre
%{__mkdir_p} %{buildroot}/etc/squid/banlist/porno
/bin/touch %{buildroot}/etc/squid/banlist/porno/urls
%{__mkdir_p} %{buildroot}/etc/squid/banlist/js
/bin/touch %{buildroot}/etc/squid/banlist/js/urls
# Copy big blacklist
%{__install} -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/squid/banlist/bigblacklist.tar.gz


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/squid/redirector.conf*
%attr(755,root,root) %{_sbindir}/redirector
%attr(755,root,root) %{_sbindir}/make-cache
%attr(755, squid, squid) %dir %{_sysconfdir}/squid/banlist/
%attr(755, squid, squid) %dir %{_sysconfdir}/squid/banlist/*
%attr(644, squid, squid) %{_sysconfdir}/squid/banlist/*/*
#%attr(750, squid, squid) %dir %{_sysconfdir}/squid/banlist/mp3/
#%attr(640, squid, squid) %{_sysconfdir}/squid/banlist/mp3/*
#%attr(750, squid, squid) %dir %{_sysconfdir}/squid/banlist/porno/
#%attr(640, squid, squid) %{_sysconfdir}/squid/banlist/porno/*
#%attr(750, squid, squid) %dir %{_sysconfdir}/squid/banlist/js/
#%attr(640, squid, squid) %{_sysconfdir}/squid/banlist/js/*
%attr(755, squid, squid) %dir /var/log/rejik/
%attr(640, squid, squid) /var/log/rejik/*


%changelog
* Tue May 17 2012 Denis Frolov <d.frolov81@mail.ru> - 3.2.10
- Update to 3.2.10

* Mon Sep 06 2010 Denis Frolov <d.frolov81@mail.ru> - 3.2.8
- Initial build
